<?php

function weston_shortcodes_formatter($content) {
	$block = join("|",array(
		"weston_alert", 
		"weston_blockquote", 
		"weston_recentposts", 
		"weston_bloglist",
		"weston_bloglistmodern", 
		"weston_blog_slider",
		"weston_box",
		"weston_button",
		"weston_callout",
		"weston_category_image",
		"weston_clear",
		"weston_center",
		"weston_counter",
		"weston_divider",
		"weston_dropcap",
		"weston_gallery",
		"weston_googlefont",
		"weston_google_maps",
		"weston_headline",
		"weston_icon",
		"weston_iconbox",
		"weston_image",
		"weston_imageslider",
		"weston_imagebox",
		"weston_br",
		"weston_list",
		"weston_listitem",
		"weston_unordered_list",
		"weston_member",
		"weston_portfolio",
		"weston_pricingplan",
		"weston_progressbar",
		"weston_pullquote",
		"weston_spacer",
		"weston_social",
		"weston_table",
		"weston_testimonial",
		"weston_testimonialslider",
		"weston_text",
		"weston_title",
		"weston_toggle",
		"weston_tooltip",
		"weston_video",
		"weston_visibility",
		"weston_zooming_slider",
		"weston_zooming_slider_item",
		"weston_boxedholder",
		"weston_newdivider",
		//"weston_masonrygrid",
		//"weston_masonrygrid_item",
	));

	// opening tag
	$rep = preg_replace("/(<p>)?\[($block)(\s[^\]]+)?\](<\/p>|<br \/>)?/","[$2$3]",$content);

	// closing tag
	$rep = preg_replace("/(<p>)?\[\/($block)](<\/p>|<br \/>)?/","[/$2]",$rep);

	return $rep;
}

add_filter('the_content', 'weston_shortcodes_formatter');
add_filter('widget_text', 'weston_shortcodes_formatter');

/*-----------------------------------------------------------------------------------*/
/* Blog
/*-----------------------------------------------------------------------------------*/

if (!function_exists('weston_blog_function')) {
	function weston_blog_function($atts){
	extract(shortcode_atts(array(
		'layout' => 'grid',
		'columns' => '1',
		'count' => '3',
		'category' => '',
		'boxed' => 'no',
		'show_excerpt' => 'yes',
		'alignment' => 'left',
		'nav' => 'true',
    	'pagination' => 'true',
    	'pagination_style' => 'dots',
    	'customclass' => '',
    	'autoplay' => 'false',
		'loop' => 'false',
    	'animationtime' => '100',
		'color' => 'dark',
		'text_color' => 'dark',
		'hover_color' => '#000',
		'tabletcolumns' => '2',
		
	), $atts));
	

	global $recent_posts_config;		

	// Get the layout class
	$layout_class = preg_replace('#[ -]+#', '-', $layout);
	if($layout=="modern"){$columns = 1;}
	$column_class = 'col-'.$columns;
	$alignment_class = 'alignment-'.$alignment;
	$boxed_class = ($boxed == "yes") ? 'boxed' : '';
	$category = (isset($category)) ? esc_attr($category) : '';
	$show_excerpt = $show_excerpt;
	
	$recent_posts_config = array();
	$recent_posts_config['show_excerpt'] = $show_excerpt;
	$recent_posts_config['hover_color'] = $hover_color;
	$recent_posts_config['layout'] = $layout;
	?>
	
		<?php if($layout=='carousel'){ 
			$layout_class .= " weston-carousel"; 
			wp_enqueue_script('weston-carousel');
		 } ?>
	
		<?php ob_start(); // start buffer; ?>
		<div class="blog clear <?php echo $layout_class; ?> <?php echo $column_class; ?> <?php echo $boxed_class; ?> <?php echo $alignment_class; ?> <?php echo $color; ?> <?php echo "text-".$text_color; ?>" data-columns="<?php echo(esc_attr($columns));?>" data-tabletcolumns="<?php echo(esc_attr($tabletcolumns));?>" data-nav="<?php echo(esc_attr($nav));?>" data-pagination="<?php echo(esc_attr($pagination));?>" data-autoplay="<?php echo(esc_attr($autoplay));?>" data-loop="<?php echo(esc_attr($loop));?>" data-animationtime="<?php echo(esc_attr($animationtime)); ?>">
		<?php
		$r = new WP_Query( array(
				'post_type' 	=> "post",
				'showposts' 	=> $count,
				'nopaging' 		=> 0,
				'category_name' => $category,
				'post_status'	=> 'publish'
			) );
		?>
				<?php  while ( $r->have_posts()) : $r->the_post();
					get_template_part( 'templates/content', 'post-small' ); 
				?>
				<?php endwhile; ?>
		</div><!-- .blog -->
		<?php
		$blog_output = ob_get_contents(); // get buffered content
		ob_end_clean(); // clean buffer
		return $blog_output;
		wp_reset_query(); 
	}
	add_shortcode('weston_blog', 'weston_blog_function');
}


/*-----------------------------------------------------------------------------------*/
/* Counter
/*-----------------------------------------------------------------------------------*/
if (!function_exists('weston_counter_function')) {
	function weston_counter_function( $atts ) {
		extract(shortcode_atts(array(
			'number' => '197',
			'title'  => '',
			'color'  => '#313131'
		), $atts));
		
		return '<div class="counter clearfix wpb_content_element" style="color: '.esc_attr($color).' !important;"><div class="counter-number">' .esc_html($number). '</div><span class="counter-title">' .esc_html($title). '</span></div>';
	}
	add_shortcode('weston_counter', 'weston_counter_function');
}

/*-----------------------------------------------------------------------------------*/
/* Carousel
/*-----------------------------------------------------------------------------------*/
if (!function_exists('weston_carousel_function')) {

    function weston_carousel_function($atts, $content = null) {
        extract(shortcode_atts(array(
        	'columns' => '3',
        	'tabletcolumns' => '3',
        	'nav' => 'true',
        	'pagination' => 'true',
        	'pagination_style' => 'dots',
        	'customclass' => '',
        	'autoplay' => 'false',
			'loop' => 'false',
        	'animationtime' => '4000',
			'color' => 'dark',
        ), $atts));

        wp_enqueue_script('weston-carousel');

        $html = 
            '<div class="weston-carousel '.esc_attr($customclass). ' '.esc_attr($color).' '.esc_attr($pagination_style).'" data-columns="'.esc_attr($columns).'" data-tabletcolumns="'.esc_attr($tabletcolumns).'" data-nav="'.esc_attr($nav).'" data-pagination="'.esc_attr($pagination).'" data-autoplay="'.esc_attr($autoplay).'" data-loop="'.esc_attr($loop).'" data-animationtime="'.esc_attr($animationtime).'">' .
                do_shortcode($content) .
            '</div>';

        return $html;
    }

    add_shortcode('weston_carousel', 'weston_carousel_function');
}

/*-----------------------------------------------------------------------------------*/
/* Gallery
/*-----------------------------------------------------------------------------------*/
if (!function_exists('weston_gallery_function')) {
	function weston_gallery_function( $atts ) {
		extract(shortcode_atts(array(
			'ids'      	=> '',
			'link'     => 'file',
			'columns' => '1',
			'style' => '1'
		), $atts));
		
		return do_shortcode('<div class="gallery-style-'.esc_attr($style).'">[gallery ids="'. esc_attr($ids) .'" link="'. esc_attr($link) .'" columns="'. esc_attr($columns) .'" size="weston_thumb_square"]</div>');
	}
	add_shortcode('weston_gallery', 'weston_gallery_function');
}

/*-----------------------------------------------------------------------------------*/
/* Progressbar 
/*-----------------------------------------------------------------------------------*/
if (!function_exists('weston_progressbar_function')) {
	function weston_progressbar_function( $atts ) {
		extract(shortcode_atts(array(
			'percentage' => '',
			'title'      => '',
			'color'    => '#999999'
		), $atts));

		return '<div class="progress-title clearfix">' .esc_html($title). '<span>' .esc_html($percentage). '%</span></div><div class="progressbar" data-perc="' .esc_attr($percentage). '"><div class="progress-percentage" style="background: '.esc_attr($color).' !important;"></div></div>';
	}
	add_shortcode('weston_progressbar', 'weston_progressbar_function');
}



/*-----------------------------------------------------------------------------------*/
/* Testimonial
/*-----------------------------------------------------------------------------------*/
if (!function_exists('weston_testimonial_function')) {
	function weston_testimonial_function( $atts, $content = null) {
		extract( shortcode_atts( array(
			'author' => '',
			'company' => '',
			'img' => '',
			'text_color' => '#373737'
		), $atts ) );

		if(!empty($img)) {
			$img_src = wp_get_attachment_image_src($img, 'thumbnail');
			$alt_text = get_post_meta($img , '_wp_attachment_image_alt', true);
			$img = '<div class="testimonial-img"><img src="'.esc_url($img_src[0]).'" alt="'.esc_attr($alt_text).'" /></div>';
		} else{
			$img = "";
		}

		return '<div class="testimonial-wrap wpb_content_element" style="color:'.esc_html($text_color).'"><div class="testimonial"><p class="quote">' . do_shortcode($content) . '</p></div><div class="testimonial-author">'.$img.'' .'<p>'.esc_html($author). '<span>' .esc_html($company). '</span></p></div></div>';
	}
	add_shortcode('weston_testimonial', 'weston_testimonial_function');
}


/*-----------------------------------------------------------------------------------*/
/* Google Maps */
/*-----------------------------------------------------------------------------------*/


function weston_google_maps_function($attr) {
	$attr = shortcode_atts(array(	
		'lat'   => '0', 
		'lon'    => '0',
		'id' => 'map',
		'z' => '14',
		'w' => '400',
		'h' => '300',
		'maptype' => 'ROADMAP',
		'address' => '',
		'kml' => '',
		'kmlautofit' => 'yes',
		'marker' => 'yes',
		'markerimage' => '',
		'traffic' => 'no',
		'bike' => 'no',
		'fusion' => '',
		'start' => '',
		'end' => '',
		'infowindow' => '',
		'infowindowdefault' => 'yes',
		'directions' => '',
		'hidecontrols' => 'false',
		'scale' => 'false',
		'scrollwheel' => 'true',
		'style' => 'full',
		'colorscheme' => '',
		'mapapikey' => ''
		), $attr);
		
		
	
	wp_register_script( 'google-maps-api', '//maps.google.com/maps/api/js?key=' . $attr['mapapikey'], false, NULL, true);
	
	wp_enqueue_script( 'google-maps-api');

	wp_print_scripts( 'google-maps-api' );

	$returnme = '<div id="' .esc_attr($attr['id']) . '" style="height:' . esc_attr($attr['h']) . 'px;" class="google-map ' . esc_attr($attr['style']) . ' wpb_content_element"></div>';

	//directions panel
	if($attr['start'] != '' && $attr['end'] != '') 
	{
		$panelwidth = $attr['w']-20;
		$returnme .= '
		<div id="directionsPanel" style="width:' . esc_attr($panelwidth) . 'px;height:' . esc_attr($attr['h']) . 'px;border:1px solid gray;padding:10px;overflow:auto;"></div><br>
		';
	}

	$getScheme = NULL;
	if($attr['colorscheme'] != '') {
		$getScheme = 'styles: '.rawurldecode(base64_decode($attr['colorscheme'])).','; // ignore theme check
	}

	$returnme .= '
    <script type="text/javascript">

		var latlng = new google.maps.LatLng(' . esc_js($attr['lat']) . ', ' . esc_js($attr['lon']) . ');
		var myOptions = {
			zoom: ' . esc_js($attr['z']) . ',
			center: latlng,
			scrollwheel: ' . esc_js($attr['scrollwheel']) .',
			disableDefaultUI: ' . esc_js($attr['hidecontrols']) .',
			scaleControl: ' . esc_js($attr['scale']) .',
			// mapTypeControl: false,
			//rotateControl: false,
			panControl: false,
		    //scaleControl: false,
		    streetViewControl: false,
		    '. $getScheme .'
  			//overviewMapControl: false,
			mapTypeId: google.maps.MapTypeId.' . esc_js($attr['maptype']) . '
		};
		var ' . esc_js($attr['id']) . ' = new google.maps.Map(document.getElementById("' . esc_js($attr['id']) . '"),
		myOptions);
		';
				
		//kml
		if($attr['kml'] != '') 
		{
			if($attr['kmlautofit'] == 'no') 
			{
				$returnme .= '
				var kmlLayerOptions = {preserveViewport:true};
				';
			}
			else
			{
				$returnme .= '
				var kmlLayerOptions = {preserveViewport:false};
				';
			}
			$returnme .= '
			var kmllayer = new google.maps.KmlLayer(\'' . html_entity_decode($attr['kml']) . '\',kmlLayerOptions);
			kmllayer.setMap(' . esc_js($attr['id']) . ');
			';
		}

		//directions
		if($attr['start'] != '' && $attr['end'] != '') 
		{
			$returnme .= '
			var directionDisplay;
			var directionsService = new google.maps.DirectionsService();
		    directionsDisplay = new google.maps.DirectionsRenderer();
		    directionsDisplay.setMap(' . esc_js($attr['id']) . ');
    		directionsDisplay.setPanel(document.getElementById("directionsPanel"));

				var start = \'' . esc_js($attr['start']) . '\';
				var end = \'' . esc_js($attr['end']) . '\';
				var request = {
					origin:start, 
					destination:end,
					travelMode: google.maps.DirectionsTravelMode.DRIVING
				};
				directionsService.route(request, function(response, status) {
					if (status == google.maps.DirectionsStatus.OK) {
						directionsDisplay.setDirections(response);
					}
				});


			';
		}
		
		//traffic
		if($attr['traffic'] == 'yes')
		{
			$returnme .= '
			var trafficLayer = new google.maps.TrafficLayer();
			trafficLayer.setMap(' . esc_js($attr['id']) . ');
			';
		}
	
		//bike
		if($attr['bike'] == 'yes')
		{
			$returnme .= '			
			var bikeLayer = new google.maps.BicyclingLayer();
			bikeLayer.setMap(' . esc_js($attr['id']) . ');
			';
		}
		
		//fusion tables
		if($attr['fusion'] != '')
		{
			$returnme .= '			
			var fusionLayer = new google.maps.FusionTablesLayer(' . esc_js($attr['fusion']) . ');
			fusionLayer.setMap(' . esc_js($attr['id']) . ');
			';
		}
	
		//address
		if($attr['address'] != '')
		{
			$returnme .= '
		    var geocoder_' . esc_js($attr['id']) . ' = new google.maps.Geocoder();
			var address = \'' . esc_js($attr['address']) . '\';
			geocoder_' . $attr['id'] . '.geocode( { \'address\': address}, function(results, status) {
				if (status == google.maps.GeocoderStatus.OK) {
					' . esc_js($attr['id']) . '.setCenter(results[0].geometry.location);
					';
					
					if ($attr['marker'] !='')
					{
						//add custom image
						if ($attr['markerimage'] !='')
						{
							$image_src = wp_get_attachment_image_src($attr['markerimage'], 'full');
							$returnme .= 'var image = "'. esc_url($image_src[0]) .'";';
						}
						$returnme .= '
						var marker = new google.maps.Marker({
							map: ' . esc_js($attr['id']) . ', 
							';
							if ($attr['markerimage'] !='')
							{
								$returnme .= 'icon: image,';
							}
						$returnme .= '
							position: ' . esc_js($attr['id']) . '.getCenter()
						});
						';

						//infowindow
						if($attr['infowindow'] != '') 
						{
							//first convert and decode html chars
							$thiscontent = htmlspecialchars_decode(preg_replace( "/\r|\n/", "", $attr['infowindow'])); // HTML allowed, no escaping
							$returnme .= '
							var contentString = \'' . $thiscontent . '\';
							var infowindow = new google.maps.InfoWindow({
								content: contentString
							});
										
							google.maps.event.addListener(marker, \'click\', function() {
							  infowindow.open(' . esc_js($attr['id']) . ',marker);
							});
							';

							//infowindow default
							if ($attr['infowindowdefault'] == 'yes')
							{
								$returnme .= '
									infowindow.open(' . esc_js($attr['id']) . ',marker);
								';
							}
						}
					}
			$returnme .= '
				} else {
				alert("Geocode was not successful for the following reason: " + status);
			}
			});
			';
		}

		//marker: show if address is not specified
		if ($attr['marker'] != '' && $attr['address'] == '')
		{
			//add custom image
			if ($attr['markerimage'] !='')
			{
				$returnme .= 'var image = "'. esc_url($attr['markerimage']) .'";';
			}

			$returnme .= '
				var marker = new google.maps.Marker({
				map: ' . esc_js($attr['id']) . ', 
				';
				if ($attr['markerimage'] !='')
				{
					$returnme .= 'icon: image,';
				}
			$returnme .= '
				position: ' . esc_js($attr['id']) . '.getCenter()
			});
			';

			//infowindow
			if($attr['infowindow'] != '') 
			{
				$returnme .= '
				var contentString = \'' . esc_js($attr['infowindow']) . '\';
				var infowindow = new google.maps.InfoWindow({
					content: contentString
				});
							
				google.maps.event.addListener(marker, \'click\', function() {
				  infowindow.open(' . esc_js($attr['id']) . ',marker);
				});
				';
				//infowindow default
				if ($attr['infowindowdefault'] == 'yes')
				{
					$returnme .= '
						infowindow.open(' . esc_js($attr['id']) . ',marker);
					';
				}				
			}
		}

		$returnme .= '
		jQuery(document).ready(function($){
			$(".wpb_accordion_section, .wpb_tabs").click(function(){
	        	var center = '.esc_js($attr['id']).'.getCenter();
	       		google.maps.event.trigger('.esc_js($attr['id']).', "resize"); 
	        	'.esc_js($attr['id']).'.setCenter(center);
	    	});
		});';

		$returnme .= '</script>';
		
		return $returnme;
}
add_shortcode('weston_google_maps', 'weston_google_maps_function');


/*-----------------------------------------------------------------------------------*/
/* Portfolio
/*-----------------------------------------------------------------------------------*/

if (!function_exists('weston_portfolio_function')) {
	function weston_portfolio_function($atts){
	extract(shortcode_atts(array(
		'layout' => 'rows with gutter',
		'columns' => '2',
		'orderby' => 'date',
		'order' => 'desc',
		'count' => '9',
		'thumb_proportions' => 'square',
		'show_load_more' => 'no',
		'hover_color' => '#000',
		'hover_text_color' => '#fff',
		'hover_effect' => 'effect-1',
		'load_more_color' => '#000',
		'load_more_text_color' => '#fff',
		'filter_alignment' => 'center',
		'show_filter' => 'yes',
		'show_skills' => 'yes',
		'enable_lightbox' => 'no',
		'filter_selected_color' => '#000',
		'skills' => ''	
	), $atts));
	

	global $ttrust_config;
	global $paged;
	global $portfolio_config;
	
	// Get the layout class
	$layout_class = preg_replace('#[ -]+#', '-', $layout);
	$column_class = 'col-'.$columns;
	$orderby = $orderby;
	$order = $order;
	$count = $count;
	$show_load_more = $show_load_more;
	$load_more_color = $load_more_color;
	$load_more_text_color = $load_more_text_color;
	$filter_alignment = $filter_alignment;
	$show_filter = $show_filter;
	$filter_selected_color = $filter_selected_color;
	$skills = $skills;
	$portfolio_config = array();
	$portfolio_config['hover_color'] = $hover_color;
	$portfolio_config['hover_text_color'] = $hover_text_color;
	$portfolio_config['hover_effect'] = $hover_effect;
	$portfolio_config['masonry'] = (strpos($layout_class, 'masonry') === 0) ? true : false;
	$portfolio_config['thumb_proportions'] = $thumb_proportions;
	$portfolio_config['show_filter'] = $show_filter;
	$portfolio_config['show_skills'] = $show_skills;
	$portfolio_config['enable_lightbox'] = $enable_lightbox;
	?>
	
		<div class="projects <?php echo $layout_class; ?> <?php echo $column_class; ?>">
		
			<?php
			ob_start(); // start buffer
				// FilterNav output
				
				if(strlen($skills) > 0){
					$skills = array_filter(explode(",", $skills));
					if( sizeof( $skills ) > 0 ) { 
						if($show_filter=="yes"){?>
						<ul id="filter-nav" class="clearfix <?php echo $filter_alignment; ?>" style="border-color: <?php echo $instance['filter_selected_color']; ?>;">
							<li class="all-btn"><a data-filter="*" class="selected"><?php _e( 'All', 'weston' ); ?></a></li>
							<?php
							foreach( $skills as $skill ) {
								$skill = get_term_by( 'slug', trim(htmlentities($skill)), 'skill');
								if($skill) {
								$output = sprintf( '<li><a data-filter=".%1$s">%2$s</a></li>%3$s',
										esc_attr( $skill->slug ),
										ucfirst( esc_attr( $skill->name ) ),
										"\n"
									);

								echo $output;
								}
							} // foreach
							?>
						</ul>
						
						<?php
						}
						?>
					<?php
					
					$r = new WP_Query( array(
						'post_type' 	=> "project",
						'posts_per_page' 	=> $count,
						'paged' => $paged,
						'post_status'	=> 'publish',
						'orderby' 		=> $orderby,
						'order'         => $order,
						'skill'         => implode(',', $skills)
					) );
				}
				}else{ 
						if($show_filter=="yes"){?>
						<ul id="filter-nav" class="clearfix <?php echo $filter_alignment; ?>" style="border-color: <?php echo $filter_selected_color; ?>;">
							<li class="all-btn"><a data-filter="*" class="selected"><?php _e('All', 'themetrust'); ?></a></li>
							<?php $j=1;
							$skills = get_terms('skill');
							foreach ($skills as $skill) {
								$a = '<li><a data-filter=".'.$skill->slug.'">';
						    	$a .= $skill->name;					
								$a .= '</a></li>';
								echo $a;
								echo "\n";
								$j++;
							}?>
						</ul>
						<?php
						}
					$r = new WP_Query( array(
						'post_type' 	=> "project",
						'posts_per_page' 	=> $count,
						'paged' => $paged,
						'post_status'	=> 'publish',
						'orderby' 		=> $orderby,
						'order'         => $order,
					) );
					
				} // if
				
			?>
			
			<div class="thumbs clearfix">
				<div class="grid-sizer"></div>						
				<?php  while ( $r->have_posts()) : $r->the_post();
					get_template_part( 'templates/content', 'project-small' ); 
					?>
				<?php endwhile; ?>
			</div><!-- .thumbs -->
			<?php if($show_load_more=="yes"){ ?>
			<div class="load-more-holder">
				<div class="load-more-button" style="background:<?php echo $load_more_color; ?>; color:<?php echo $load_more_text_color; ?>;" data-rel="<?php echo $r->max_num_pages ?>"><?php echo get_next_posts_link( "Load More", $r->max_num_pages); ?></div>
				<div class="loading hidden button" style="background:<?php echo $load_more_color; ?>; color:<?php echo $load_more_text_color; ?>;"><?php _e( "Loading", 'weston'); ?></div>
			</div>
			<?php } ?>
		</div><!-- .projects -->
		<?php
		$portfolio_output = ob_get_contents(); // get buffered content
		ob_end_clean(); // clean buffer
		return $portfolio_output;
	}
	add_shortcode('weston_portfolio', 'weston_portfolio_function');
}

/*-----------------------------------------------------------------------------------*/
/* Pricing Table
/*-----------------------------------------------------------------------------------*/
if (!function_exists('weston_pricing_table_function')) {
	function weston_pricing_table_function( $atts, $content = null ) {
		extract(shortcode_atts(array(
			'name'      => '',
			'link'      => false,
			'linkname'      => '',
			'price'      => '$58.00',
			'per'      => false,
			'featured'    => "no",
			'color'    => false
		), $atts));

		if($per != false) {
			$return3 = "".$per."";
		}
		else{
			$return3 = "";
		}

		if($color != false) {
			$return = 'pricing-color-true';
		}
		else{
			$return = 'pricing-color-false';
		}
		
		if($featured != "no") {
			$return .= ' featured';
		}
		
		$out = '<div class="pricing-table '.esc_attr($return).' wpb_content_element">
				<div class="pricing-table-head" style="background-color:'.esc_attr($color).';">
					<h3>'.esc_html($name).'</h3>
					<div class="pricing-price"><span class="pricing-amount">'.esc_html($price).'</span><span class="pricing-per">'.esc_html($return3).'</span></div>
				</div>
				'.do_shortcode($content).'
			</div>';

		return $out;
	}
	add_shortcode('weston_pricing_table', 'weston_pricing_table_function');
}


/*-----------------------------------------------------------------------------------*/
/* Carousel
/*-----------------------------------------------------------------------------------*/
if (!function_exists('weston_carousel_function')) {

    function weston_carousel_function($atts, $content = null) {
        extract(shortcode_atts(array(
        	'columns' => '3',
        	'tabletcolumns' => '3',
        	'nav' => 'true',
        	'pagination' => 'true',
        	'pagination_style' => 'dots',
        	'customclass' => '',
        	'grabicon' => 'false',
        	'autoplay' => 'false',
        	'animationtime' => '4000',
        ), $atts));

        wp_enqueue_script('weston-carousel');

        $html = 
            '<div class="weston_carousel '.esc_attr($customclass).' grab-'.esc_attr($grabicon).' '.esc_attr($pagination_style).'" data-columns="'.esc_attr($columns).'" data-tabletcolumns="'.esc_attr($tabletcolumns).'" data-nav="'.esc_attr($nav).'" data-pagination="'.esc_attr($pagination).'" data-autoplay="'.esc_attr($autoplay).'" data-animationtime="'.esc_attr($animationtime).'">' .
                do_shortcode($content) .
            '</div>';

        return $html;
    }

    add_shortcode('weston_carousel', 'weston_carousel_function');
}


?>