<?php
/* ------------------------------------------------------------------------ */
/* General
/* ------------------------------------------------------------------------ */
// Disable automatic updates notifications
function weston_vcSetAsTheme() {
    vc_set_as_theme(true);
}
add_action( 'vc_before_init', 'weston_vcSetAsTheme' );

// Override VC Templates Directory Path
if ( function_exists( 'vc_map' ) && !is_admin() ) {
	$dir = get_template_directory() . '/inc/visual-composer/templates/';
	vc_set_shortcodes_templates_dir($dir);
}

// Disable Frontend Editor
function vc_remove_frontend_links() {
    vc_disable_frontend(); // this will disable frontend editor
}
add_action( 'vc_after_init', 'vc_remove_frontend_links' );

// Add Visual Composer Admin CSS
function weston_custom_vc() {
	wp_enqueue_style( 'vc-weston-admin-css', get_template_directory_uri() . '/inc/visual-composer/custom-vc.css' );
}
add_action( 'admin_enqueue_scripts', 'weston_custom_vc' );


// Remove Tabs & Accordion from Depricated Tab
//vc_map_update( 'vc_accordion', array('deprecated' => false) );
//vc_map_update( 'vc_tabs', array('deprecated' => false) ); 
//vc_map_update( 'vc_tour', array('deprecated' => false) ); 

/* ------------------------------------------------------------------------ */
/* Remove Visual Composer Elements
/* ------------------------------------------------------------------------ */
//vc_remove_element("vc_separator");
//vc_remove_element("vc_text_separator");
//vc_remove_element("vc_message");
//vc_remove_element("vc_empty_space");
//vc_remove_element("vc_facebook");
//vc_remove_element("vc_tweetmeme");
//vc_remove_element("vc_googleplus");
//vc_remove_element("vc_pinterest");
//vc_remove_element("vc_single_image");
//vc_remove_element("vc_gallery");
vc_remove_element("vc_images_carousel");
vc_remove_element("vc_posts_grid");
vc_remove_element("vc_carousel");
vc_remove_element("vc_posts_slider");
//vc_remove_element("vc_btn");
//vc_remove_element("vc_button");
//vc_remove_element("vc_button2");
//vc_remove_element("vc_cta");
//vc_remove_element("vc_cta_button");
//vc_remove_element("vc_cta_button2");
vc_remove_element("vc_video");
vc_remove_element("vc_gmaps");
vc_remove_element("vc_flickr");
vc_remove_element("vc_progress_bar");
vc_remove_element("vc_toggle");
//vc_remove_element("vc_teaser_grid");
//vc_remove_element("vc_custom_heading");
vc_remove_element("vc_media_grid");
vc_remove_element("vc_masonry_grid");
//vc_remove_element("vc_masonry_media_grid");
//vc_remove_element("vc_icon");
vc_remove_element("vc_basic_grid");

vc_remove_element("vc_wp_archives");
vc_remove_element("vc_wp_calendar");
vc_remove_element("vc_wp_categories");
vc_remove_element("vc_wp_custommenu");
vc_remove_element("vc_wp_links");
vc_remove_element("vc_wp_meta");
vc_remove_element("vc_wp_pages");
vc_remove_element("vc_wp_posts");
vc_remove_element("vc_wp_recentcomments");
vc_remove_element("vc_wp_rss");
vc_remove_element("vc_wp_search");
vc_remove_element("vc_wp_tagcloud");
//vc_remove_element("vc_wp_text");

// Remove from VC 4.7
//vc_remove_element("vc_tta_accordion");
//vc_remove_element("vc_tta_tabs");
//vc_remove_element("vc_tta_tour");
vc_remove_element("vc_tta_pageable");
//vc_remove_element("vc_tta_section");


/* ------------------------------------------------------------------------ */
/* Remove Params from Default Shortcodes
/* ------------------------------------------------------------------------ */
vc_remove_param();

/* Remove Params from Default Shortcodes ----------------------------------------- */

vc_remove_param("vc_column_text", "css_animation" );
vc_remove_param("vc_column", "css_animation" );
vc_remove_param("vc_row", "css_animation" );
//vc_remove_param("vc_column_text", "css" );
vc_remove_param("vc_accordion", "title" );
vc_remove_param("vc_masonry_media_grid", "item" );
//vc_remove_param("vc_row", "video_bg" );
vc_remove_param("vc_row", "video_bg_url" );


/* ------------------------------------------------------------------------ */
/* Add Params to Default Shortcodes
/* ------------------------------------------------------------------------ */

// Add CSS animation options to column
$attributes = array(
    'type' => 'dropdown',
    'heading' => __( "CSS Animation,", "weston" ),
    'param_name' => 'animation',
    'value' => array( 
		"None" => "",
		"Top to bottom" => "wpb_top-to-bottom",
		"Bottom to top" => "wpb_bottom-to-top",
		"Left to right" => "wpb_left-to-right",
		"Right to left" => "wpb_right-to-left",
		"Appear from center" => "wpb_appear-from-center",
	),
    'description' => __( "Select the type of animation for this column to happen when it is scrolled into view.", "weston" )
);
vc_add_param( 'vc_column', $attributes ); 

// Add CSS animation delay to column
$attributes = array(
    'type' => 'textfield',
    'heading' => __( "CSS Animation Delay,", "weston" ),
    'param_name' => 'animationdelay',
    'description' => __( "Enter the delay time before the animation takes place (in seconds).", "weston" )
);
vc_add_param( 'vc_column', $attributes );

// Add text color to column
$attributes = array(
    'type' => 'colorpicker',
    'heading' => __( "Text Color", "weston" ),
    'param_name' => 'textcolor',
    'description' => __( "Select a color for the text in this column.", "weston" )
);
vc_add_param( 'vc_column', $attributes );

// Add back certain options to masonry media grid
$attributes = array(
    'type' => 'dropdown',
    'heading' => __( "Hover Effect", "weston" ),
    'param_name' => 'item',
    'description' => __( "Select the hover effect media element.", "weston" ),
	'value' => array( 
		"Fade" => "masonryMedia_Default",
		"Rotate and Scale" => "masonryMedia_ScaleWithRotationLight",
		"Slide Up Title & Caption" => "masonryMedia_SlideWithTitleAndCaption",
	),
);
vc_add_param( 'vc_masonry_media_grid', $attributes );

$attributes = array(
	"type" => "checkbox",
	"class" => "",
	"heading" => "Enable Video Background",
	"value" => array("Enable" => "use_video" ),
	"param_name" => "video_bg",
	"description" => "",
	"group"	=> __( 'Video Background', 'weston' ),
);
vc_add_param( 'vc_row', $attributes );

$attributes = array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => "Overlay Color",
	"param_name" => "video_overlay_color",
	"value" => "",
	"description" => "",
	"group"	=> __( 'Video Background', 'weston' ),
);
vc_add_param( 'vc_row', $attributes );

$attributes = array(
	"type" => "textfield",
	"class" => "",
	"heading" => "WebM Video URL",
	"value" => "",
	"param_name" => "video_webm",
	"description" => "Insert absolute path to your webm video.",
	"dependency" => Array('element' => "video_bg", 'value' => array('use_video')),
	"group"	=> __( 'Video Background', 'weston' ),
);
vc_add_param( 'vc_row', $attributes );

$attributes = array(
	"type" => "textfield",
	"class" => "",
	"heading" => "MP4 Video URL",
	"value" => "",
	"param_name" => "video_mp4",
	"description" => "Insert absolute path to your mp4 video.",
	"dependency" => Array('element' => "video_bg", 'value' => array('use_video')),
	"group"	=> __( 'Video Background', 'weston' ),
);
vc_add_param( 'vc_row', $attributes );

$attributes = array(
	"type" => "textfield",
	"class" => "",
	"heading" => "OGV Video URL",
	"value" => "",
	"param_name" => "video_ogv",
	"description" => "Insert absolute path to your ogv video.",
	"dependency" => Array('element' => "video_bg", 'value' => array('use_video')),
	"group"	=> __( 'Video Background', 'weston' ),
);
vc_add_param( 'vc_row', $attributes );

$attributes = array(
	"type" => "textfield",
	"class" => "",
	"heading" => "Youtube URL",
	"value" => "",
	"param_name" => "video_bg_url",
	"description" => "Insert the URL of your Youtube video.",
	"dependency" => Array('element' => "video_bg", 'value' => array('use_video')),
	"group"	=> __( 'Video Background', 'weston' ),
);

vc_add_param( 'vc_row', $attributes );

$attributes = array(
	"type" => "attach_image",
	"class" => "",
	"heading" => "Video Fallback Image",
	"value" => "",
	"param_name" => "video_image",
	"description" => "",
	"dependency" => Array('element' => "video_bg", 'value' => array('use_video')),
	"group"	=> __( 'Video Background', 'weston' ),
);
vc_add_param( 'vc_row', $attributes );



/* Map to VC - Blog ----------------------------------------- */

function weston_blog_vc() {

		vc_map( array(
			"name"					=> __( "Blog", 'weston' ),
			"description"			=> __( "Show your latest blog posts", 'weston' ),
			"base"					=> "weston_blog",
			'category'				=> "Content",
			"icon"					=> "icon-wpb-weston-blog",
			"params"				=> array(
				array(
					"type"			=> "textfield",
					"admin_label"	=> true,
					"class"			=> "",
					"heading"		=> __( "Post Count", 'weston' ),
					"description"	=> __( "Number of posts to show.", 'weston' ),
					"param_name"	=> "count",
					"value"			=> "3",
				),
				array(
					"type"			=> "dropdown",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Layout", 'weston' ),
					"param_name"	=> "layout",
					"value"			=> array(
						'Grid' => 'grid',
						'Carousel' => 'carousel'
					),
				),
				array(
					"type" => "dropdown",
					"admin_label"	=> false,
					"class" => "",
					"heading" => __( "Text Color", 'weston' ),
					"value" => array(
						"Dark" => "dark",
						"Light" => "light"
					),
					"description" => "",
					"param_name" => "text_color"
				),
				array(
					"type" => "dropdown",
					"admin_label"	=> false,
					"class" => "",
					"heading" => __( "Carousel Nav Color", 'weston' ),
					"value" => array(
						"Dark" => "dark",
						"Light" => "light"
					),
					"description" => "",
					"param_name" => "color",
					'dependency' => array('element' => 'layout','value' => 'carousel'),
				),
				array(
					"type"			=> "colorpicker",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Hover Color", 'weston' ),
					"param_name"	=> "hover_color",
					"value"			=> "#000",
					'dependency' => array('element' => 'layout','value' => 'modern'),
				),
				array(
					"type"			=> "dropdown",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Columns", 'weston' ),
					"param_name"	=> "columns",
					"value"			=> array(
						'1' => '1',
						'2' => '2',
						'3' => '3',
						'4' => '4',
						'5' => '5',
					),
					"description"	=> __( "Only applies to grid and carousel.", 'weston' ),
					'dependency' => array('element' => 'layout','value' => array('carousel','grid')),
				),
				array(
					"type"			=> "textfield",
					"admin_label"	=> true,
					"class"			=> "",
					"heading"		=> __( "Category", 'weston' ),
					"description"	=> __( "Only show posts from certain categories. (ex. news, trends, tips) ", 'weston' ),
					"param_name"	=> "category",
					"value"			=> "",
				),
				array(
					"type"			=> "dropdown",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Content Alignment", 'weston' ),
					"param_name"	=> "alignment",
					"value"			=> array(
						'Left' => 'left',
						'Center' => 'center',
					),
				),
				array(
					"type"			=> "dropdown",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Show Excerpt", 'weston' ),
					"param_name"	=> "show_excerpt",
					"value"			=> array(
						'Yes' => 'yes',
						'No' => 'no',
					),
				),
			)
		) );
	}
add_action( 'vc_before_init', 'weston_blog_vc' );



/* Map to VC - Counter ----------------------------------------- */

function weston_counter_vc() {
	vc_map( array(
		"name"					=> __( "Counter", 'weston' ),
		"description"			=> __( "Counter", 'weston' ),
		"base"					=> "weston_counter",
		'category'				=> "Content",
		"icon"					=> "icon-wpb-weston-counter",
		"params"				=> array(
			array(
				"type"			=> "textfield",
				"admin_label"	=> true,
				"class"			=> "",
				"heading"		=> __( "Number", 'weston' ),
				"param_name"	=> "number",
				"value"			=> "197",
			),
			array(
				"type"			=> "textfield",
				"admin_label"	=> true,
				"class"			=> "",
				"heading"		=> __( "Title", 'weston' ),
				"param_name"	=> "title",
				"value"			=> "",
			),
			array(
				"type"			=> "colorpicker",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Color", 'weston' ),
				"param_name"	=> "color",
				"value"			=> "#666666",
			),
		)
	) );
}
add_action( 'vc_before_init', 'weston_counter_vc' );


/* Map to VC - Carousel ----------------------------------------- */

class WPBakeryShortCode_Weston_Carousel extends WPBakeryShortCodesContainer {}
vc_map( array(
	"name" => __( "Carousel", 'weston' ),
	"description" => __( "Universal Carousel Element", 'weston' ),
	"base" => "weston_carousel",
	"category" => 'Content',
	"icon" => "icon-wpb-weston-carousel",
	"as_parent" => array('only' => 'vc_column_text, weston_counter, weston_testimonial, vc_single_image'),
	"content_element" => true,
	"js_view" => 'VcColumnView',
	"params" => array(
		array(
			"type" => "textfield",
			"admin_label"	=> false,
			"class" => "",
			"value" => "3",
			"heading" => "Columns",
			"description" => "Define columns per scrollable container. Default: 3",
			"param_name" => "columns",
		),
		array(
			"type" => "textfield",
			"admin_label"	=> false,
			"class" => "",
			"value" => "3",
			"heading" => "Responsive Tablet Columns",
			"description" => "Define number of items shown on tablet size display.",
			"param_name" => "tabletcolumns",
		),
		array(
			"type" => "dropdown",
			"admin_label"	=> false,
			"class" => "",
			"heading" => "Nav Color",
			"value" => array(
				"Dark" => "dark",
				"Light" => "light"
			),
			"description" => "",
			"param_name" => "color",
		),
		array(
			"type" => "dropdown",
			"admin_label"	=> false,
			"class" => "",
			"heading" => "Show Pagination",
			"value" => array(
				"Yes" => "true",
				"No" => "false"
			),
			"description" => "",
			"param_name" => "pagination",
		),
		array(
			"type" => "dropdown",
			"admin_label"	=> false,
			"class" => "",
			"heading" => "Autoplay",
			"value" => array(
				"No" => "false",
				"Yes" => "true",
			),
			"description" => "Choose to have carousel animate automatically without clicking the nav.",
			"param_name" => "autoplay",
		),
		array(
			"type" => "dropdown",
			"admin_label"	=> false,
			"class" => "",
			"heading" => "Loop",
			"value" => array(
				"No" => "false",
				"Yes" => "true",
			),
			"description" => "Choose to have carousel loop.",
			"param_name" => "loop",
		),
		array(
			"type" => "textfield",
			"admin_label"	=> false,
			"class" => "",
			"heading" => "Animation Delay",
			"param_name" => "animationtime",
			"value" => "4000",
			"description" => "The amount of time between slide animations in milliseconds. Default: 4000",
			"dependency" => Array('element' => "autoplay", 'value' => array('true'))
		),
		array(
			"type" => "textfield",
			"admin_label"	=> false,
			"class" => "",
			"value" => "",
			"heading" => "Custom Class",
			"param_name" => "customclass",
			"description"	=> __( "Add your own class and refer to it in your CSS file.", 'weston' ),
		),
	)
) );


/* Map to VC - Gallery ----------------------------------------- */

function weston_gallery_vc() {
	vc_map( array(
		"name"					=> __( "Gallery", 'weston' ),
		"description"			=> __( "Gallery", 'weston' ),
		"base"					=> "weston_gallery",
		'category'				=> "Content",
		"icon"					=> "icon-wpb-weston-gallery",
		"params"				=> array(
			array(
				"type"			=> "attach_images",
				"admin_label"	=> true,
				"class"			=> "",
				"heading"		=> __( "Images", 'weston' ),
				"param_name"	=> "ids",
				"value"			=> "",
				"description"	=> __( "Upload your Images here.", 'weston' ),
			),
			array(
				"type"			=> "dropdown",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Link", 'weston' ),
				"param_name"	=> "link",
				"value"			=> array(
					'Lightbox Image' => 'file',
					'None' => 'none',
				),
			),
			array(
				"type"			=> "dropdown",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Columns", 'weston' ),
				"param_name"	=> "columns",
				"value"			=> array(
					"1" => "1",
				    "2" => "2",
			  		"3" => "3",
			  		"4" => "4",
			  		"5" => "5",
			  		"6" => "6"
				),
			),
			array(
				"type"			=> "dropdown",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Gutter", 'weston' ),
				"param_name"	=> "style",
				"value"			=> array(
					"No Gutter" => "1",
				    "With Gutter" => "2",
				),
			),
		)
	) );
}
add_action( 'vc_before_init', 'weston_gallery_vc' );


/*-----------------------------------------------------------------------------------*/
/* Map to VC - Progress Bar
/*-----------------------------------------------------------------------------------*/
function weston_progressbar_vc() {
	vc_map( array(
		"name"					=> __( "Progress Bar", 'weston' ),
		"description"			=> __( "Add a Progress Bar", 'weston' ),
		"base"					=> "weston_progressbar",
		'category'				=> "Content",
		"icon"					=> "icon-wpb-weston-progressbar",
		"params"				=> array(
			array(
				"type"			=> "textfield",
				"admin_label"	=> true,
				"class"			=> "",
				"heading"		=> __( "Title", 'weston' ),
				"param_name"	=> "title",
				"value"			=> "",
				"description"	=> __( "Title of the progress bar.", 'weston' ),
			),
			array(
				"type"			=> "textfield",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Percentage", 'weston' ),
				"param_name"	=> "percentage",
				"value"			=> "",
				"description"	=> __( "Percentage 0-100 (without %).", 'weston' ),
			),
			array(
				"type"			=> "colorpicker",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Color", 'weston' ),
				"param_name"	=> "color",
				"value"			=> "#999999",
				"description"	=> __( "Color of the progress bar.", 'weston' ),
			),
		)
	) );
}
add_action( 'vc_before_init', 'weston_progressbar_vc' );

/*-----------------------------------------------------------------------------------*/
/* Map to VC - Testimonial
/*-----------------------------------------------------------------------------------*/
function weston_testimonial_vc() {
	vc_map( array(
		"name"					=> __( "Testimonial", 'weston' ),
		"description"			=> __( "What your Clients say", 'weston' ),
		"base"					=> "weston_testimonial",
		'category'				=> "Content",
		"icon"					=> "icon-wpb-weston-testimonial",
		"params"				=> array(
			array(
				"type"			=> "textfield",
				"admin_label"	=> true,
				"class"			=> "",
				"heading"		=> __( "Author", 'weston' ),
				"param_name"	=> "author",
				"value"			=> "",
				"description"	=> __( "Author of the Testimonial", 'weston' ),
			),
			array(
				"type"			=> "textfield",
				"admin_label"	=> true,
				"class"			=> "",
				"heading"		=> __( "Company", 'weston' ),
				"param_name"	=> "company",
				"value"			=> "",
				"description"	=> __( "Company of the Author", 'weston' ),
			),
			array(
				"type"			=> "textarea_html",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Content", 'weston' ),
				"param_name"	=> "content",
				"value"			=> "",
			),
			array(
				"type"			=> "attach_image",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Image", 'weston' ),
				"param_name"	=> "img",
				"value"			=> "",
				"description"	=> __( "Upload your Image here.", 'weston' ),
			),
			array(
				"type"			=> "colorpicker",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Text Color", 'weston' ),
				"param_name"	=> "text_color",
				"value"			=> "",
			),
		)
	) );
}
add_action( 'vc_before_init', 'weston_testimonial_vc' );



/* Map to VC - Portfolio ----------------------------------------- */


function weston_portfolio_vc() {

		$skill_options = NULL;
		$skills = get_terms('skill');
		foreach ($skills as $skill) {
			$skill_options[$skill->name] = $skill->slug;
		}

		vc_map( array(
			"name"					=> __( "Portfolio", 'weston' ),
			"description"			=> __( "Show your Portfolio Projects", 'weston' ),
			"base"					=> "weston_portfolio",
			'category'				=> "Post Type",
			"icon"					=> "icon-wpb-weston-portfolio",
			"params"				=> array(
				array(
					"type"			=> "dropdown",
					"admin_label"	=> true,
					"class"			=> "",
					"heading"		=> __( "Show Filter", 'weston' ),
					"param_name"	=> "show_filter",
					"value"			=> array(
						'Yes' 	=> 'yes',
						'No' 		=> 'no',
					)
				),
				array(
					"type"			=> "dropdown",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Filter Alignment", 'weston' ),
					"param_name"	=> "filter_alignment",
					"value"			=> array(
						'Center' => 'center',
						'Left' => 'left',
						'Right' => 'right',
					),
				),
				array(
					"type"			=> "textfield",
					"admin_label"	=> true,
					"class"			=> "",
					"heading"		=> __( "Number of Projects", 'weston' ),
					"param_name"	=> "count",
					"value"			=> "9",
					"description"	=> __( "Number of Projects you want to show.", 'weston' ),
				),
				array(
					"type"			=> "dropdown",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Featured Image Proportions", 'weston' ),
					"param_name"	=> "thumb_proportions",
					"value"			=> array(
						'Square' => 'square',
						'Landscape' => 'landscape',
						'Portrait' => 'portrait',
					),
					"description"	=> __( "Only applies to non-masonry layouts.", 'weston' ),
				),
				array(
					"type"			=> "dropdown",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Layout", 'weston' ),
					"param_name"	=> "layout",
					"value"			=> array(
						'Rows with Gutter' => 'rows-with-gutter',
						'Rows without Gutter' => 'rows-without-gutter',
						'Masonry with Gutter' => 'masonry-with-gutter',
						'Masonry without Gutter' => 'masonry-without-gutter',
					),
				),
				array(
					"type"			=> "dropdown",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Columns", 'weston' ),
					"param_name"	=> "columns",
					"value"			=> array(
						'2' => '2',
						'3' => '3',
						'4' => '4',
						'5' => '5',
					),
				),
				array(
					"type"			=> "checkbox",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Show only certain filters.", 'weston' ),
					"param_name"	=> "skills",
					"value"			=> $skill_options,
					"description"	=> __( "If nothing is selected, all skills will be used.", 'weston' ),
				),
				array(
					"type"			=> "dropdown",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Order By", 'weston' ),
					"param_name"	=> "order_by",
					"value"			=> array(
						'Date' => 'date',
						'Custom' => 'menu_order',
						'Title' => 'title',
					),
				),
				array(
					"type"			=> "dropdown",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Order", 'weston' ),
					"param_name"	=> "order",
					"value"			=> array(
						'DESC' => 'DESC',
						'ASC' => 'ASC',
					),
				),
				array(
					"type"			=> "dropdown",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Hover Effect", 'weston' ),
					"param_name"	=> "hover_effect",
					"value"			=> array(
						'Effect 1' => 'effect-1',
						'Effect 2' => 'effect-2',
						'Effect 3' => 'effect-3',
					),
				),
				array(
					"type"			=> "colorpicker",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Hover Color", 'weston' ),
					"param_name"	=> "hover_color",
					"value"			=> "",
				),
				array(
					"type"			=> "colorpicker",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Hover Text Color", 'weston' ),
					"param_name"	=> "hover_text_color",
					"value"			=> "",
				),
				array(
					"type"			=> "dropdown",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Show Skills on Hover", 'weston' ),
					"param_name"	=> "show_skills",
					"value"			=> array(
						'Yes' => 'yes',
						'No' => 'no',
					),
				),
				array(
					"type"			=> "dropdown",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Show Load More Button", 'weston' ),
					"param_name"	=> "show_load_more",
					"value"			=> array(
						'No' => 'no',
						'Yes' => 'yes',
					),
				),
				array(
					"type"			=> "colorpicker",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Load More Button Color", 'weston' ),
					"param_name"	=> "load_more_color",
					"value"			=> "",
				),
				array(
					"type"			=> "colorpicker",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Load More Button Text Color", 'weston' ),
					"param_name"	=> "load_more_text_color",
					"value"			=> "",
				),
				array(
					"type"			=> "dropdown",
					"admin_label"	=> false,
					"class"			=> "",
					"heading"		=> __( "Enable Lightbox", 'weston' ),
					"param_name"	=> "enable_lightbox",
					"value"			=> array(
						'No' => 'no',
						'Yes' => 'yes',
					),
				),
			)
		) );
	}
add_action( 'vc_before_init', 'weston_portfolio_vc' );




/* Map to VC - Pricing Table ----------------------------------------- */

function weston_pricing_table_vc() {
	vc_map( array(
		"name"					=> __( "Pricing Table", 'weston' ),
		"description"			=> __( "Add a Pricing Table", 'weston' ),
		"base"					=> "weston_pricing_table",
		'category'				=> "Content",
		"icon"					=> "icon-wpb-weston-pricing-table",
		"params"				=> array(
			array(
				"type"			=> "textfield",
				"admin_label"	=> true,
				"class"			=> "",
				"heading"		=> __( "Name", 'weston' ),
				"param_name"	=> "name",
				"value"			=> "",
				"description"	=> __( "Name of the Pricing Table", 'weston' ),
			),
			array(
				"type"			=> "dropdown",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Featured", 'weston' ),
				"param_name"	=> "featured",
				"value"			=> array(
					'No' => 'no',
					'Yes' => 'yes',
				),
				"description"	=> __( "This will make this table stand out from the others.", 'weston' ),
			),
			array(
				"type"			=> "textfield",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Price", 'weston' ),
				"param_name"	=> "price",
				"value"			=> "$58.00",
			),
			array(
				"type"			=> "textfield",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Per", 'weston' ),
				"param_name"	=> "per",
				"value"			=> "",
				"description"	=> __( "month, year, etc.", 'weston' ),
			),
			array(
				"type"			=> "colorpicker",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Color", 'weston' ),
				"param_name"	=> "color",
				"value"			=> "",
			),
			array(
				"type"			=> "textarea_html",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Content", 'weston' ),
				"param_name"	=> "content",
				"value"			=> "<ul><li>Lorem Ipsum</li><li>Lorem Ipsum</li><li>Lorem Ipsum</li></ul>",
				"description"	=> __( "Use the 'Unordered List' button in the editor to add the Pricing Table details.", 'weston' ),
			),
		)
	) );

}
add_action( 'vc_before_init', 'weston_pricing_table_vc' );



/* Map to VC - Google Maps ----------------------------------------- */

function weston_google_maps_vc() {
	vc_map( array(
		"name"					=> __( "Google Maps", 'weston' ),
		"description"			=> __( "Google Maps", 'weston' ),
		"base"					=> "weston_google_maps",
		'category'				=> "Content",
		"icon"					=> "icon-wpb-weston-google_maps",
		"params"				=> array(
			array(
				"type"			=> "textfield",
				"admin_label"	=> true,
				"class"			=> "",
				"heading"		=> __( "Address", 'weston' ),
				"param_name"	=> "address",
				"value"			=> "",
				"description"	=> __( "Enter a valid address.", 'weston' ),
			),
			array(
				"type"			=> "dropdown",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Map Style", 'weston' ),
				"param_name"	=> "style",
				"value"			=> array(
					'With Border' => 'full',
					'Without Border' => 'fullsection',
				),
			),
			array(
				"type"			=> "textfield",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Height", 'weston' ),
				"param_name"	=> "h",
				"value"			=> "300",
				"description"	=> __( "Height of the Map in px. (ex. 300).", 'weston' ),
			),
			array(
				"type"			=> "textfield",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Map ID", 'weston' ),
				"param_name"	=> "id",
				"value"			=> "",
				"description"	=> __( "Enter a unique ID if you plan on having more than one map per page.", 'weston' ),
			),
			array(
				"type"			=> "textfield",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Zoom Level", 'weston' ),
				"param_name"	=> "z",
				"value"			=> "14",
				"description"	=> __( "Enter a value between 1-21.", 'weston' ),
			),
			array(
				"type"			=> "dropdown",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Map Type", 'weston' ),
				"param_name"	=> "maptype",
				"value"			=> array(
					'Roadmap' => 'ROADMAP',
					'Satellite' => 'SATELLITE',
					'Hybrid' => 'HYBRID',
					'Terrain' => 'TERRAIN',
				),
				"description"	=> __( "Choose your map type.", 'weston' ),
			),
			array(
				"type"			=> "dropdown",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Marker", 'weston' ),
				"param_name"	=> "marker",
				"value"			=> array(
					'Show Marker' => 'yes',
					'Hide Marker' => '',
				),
				"description"	=> __( "Display a marker on the map.", 'weston' ),
			),
			array(
				"type"			=> "attach_image",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Marker Image", 'weston' ),
				"param_name"	=> "markerimage",
				"value"			=> "",
				"description"	=> __( "Upload your own marker image.", 'weston' ),
				"group"	=> __( 'Marker', 'weston' ),
			),
			array(
				"type"			=> "textarea",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Info Window", 'weston' ),
				"param_name"	=> "infowindow",
				"value"			=> "",
				"description"	=> __( "Add your own info window text.", 'weston' ),
				"group"	=> __( 'Marker', 'weston' ),
			),
			array(
				"type"			=> "dropdown",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Show Info Window", 'weston' ),
				"param_name"	=> "infowindowdefault",
				"value"			=> array(
					'Show Info Window on load' => 'yes',
					'Hide Info Window on load' => 'no',
				),
				"description"	=> __( "Display the info window upon map loading.", 'weston' ),
				"group"	=> __( 'Marker', 'weston' ),
			),
			array(
				"type"			=> "dropdown",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Scrollwheel Zoom", 'weston' ),
				"param_name"	=> "scrollwheel",
				"value"			=> array(
					'Enable Scrollwheel Zoom' => 'true',
					'Disable Scrollwheel Zoom' => 'false',
				),
				"description"	=> __( "Allow scroll wheel zoom.", 'weston' ),
			),
			array(
				"type"			=> "dropdown",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Controls", 'weston' ),
				"param_name"	=> "hidecontrols",
				"value"			=> array(
					'Show Controls' => 'false',
					'Hide Controls' => 'true',
				),
				"description"	=> __( "Show Map Controls.", 'weston' ),
			),
			array(
				"type"			=> "textarea_raw_html",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Color Scheme Code", 'weston' ),
				"param_name"	=> "colorscheme",
				"value"			=> "",
				"description"	=> __( "Add your snazzymaps.com styles here.", 'weston' ),
			),
			array(
				"type"			=> "textfield",
				"admin_label"	=> false,
				"class"			=> "",
				"heading"		=> __( "Google API Key", 'weston' ),
				"param_name"	=> "mapapikey",
				"value"			=> "",
				"description"	=> __( "To use Google Maps, you need to get a Google API KEY <a href='https://developers.google.com/maps/documentation/javascript/get-api-key#get-an-api-key' target='_blank'>here</a>.", 'weston' ),
			),
		)
	) );
}
add_action( 'vc_before_init', 'weston_google_maps_vc' );



